Package org.apache.ignite.cache.store.jdbc.dialect

## Class DB2Dialect

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.dialect.BasicJdbcDialect
  - - org.apache.ignite.cache.store.jdbc.dialect.DB2Dialect

- All Implemented Interfaces:
    `Serializable`, `JdbcDialect`

      public class DB2Dialect
      extends BasicJdbcDialect

  A dialect compatible with the IBM DB2 database.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.cache.store.jdbc.dialect.BasicJdbcDialect

      `DFLT_MAX_PARAMS_CNT, fetchSize, maxParamsCnt`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DB2Dialect()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasMerge()`
    `String` | `loadCacheSelectRangeQuery​(String fullTblName, Collection<String> keyCols)` | Construct query to get ranges bounds.
    `String` | `mergeQuery​(String fullTblName, Collection<String> keyCols, Collection<String> uniqCols)` | Construct merge query.

    - ### Methods inherited from class org.apache.ignite.cache.store.jdbc.dialect.BasicJdbcDialect

      `escape, getFetchSize, getMaxParameterCount, insertQuery, loadCacheQuery, loadCacheRangeQuery, loadQuery, mkString, mkString, mkString, removeQuery, repeat, setFetchSize, setMaxParameterCount, updateQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DB2Dialect

          public DB2Dialect()

  - ### Method Detail

    - #### loadCacheSelectRangeQuery

          public String loadCacheSelectRangeQuery​(String fullTblName,
                                                  Collection<String> keyCols)

      Construct query to get ranges bounds.
      Specified by:
        `loadCacheSelectRangeQuery` in interface `JdbcDialect`
      Overrides:
        `loadCacheSelectRangeQuery` in class `BasicJdbcDialect`
      Parameters:
        `fullTblName` - Full table name.
        `keyCols` - Database key columns for order.
      Returns:
        Query for select count.

    - #### hasMerge

          public boolean hasMerge()

      Specified by:
        `hasMerge` in interface `JdbcDialect`
      Overrides:
        `hasMerge` in class `BasicJdbcDialect`
      Returns:
        `True` if database support merge operation.

    - #### mergeQuery

          public String mergeQuery​(String fullTblName,
                                   Collection<String> keyCols,
                                   Collection<String> uniqCols)

      Construct merge query.
      Specified by:
        `mergeQuery` in interface `JdbcDialect`
      Overrides:
        `mergeQuery` in class `BasicJdbcDialect`
      Parameters:
        `fullTblName` - Full table name.
        `keyCols` - Database key columns.
        `uniqCols` - Database unique value columns.
      Returns:
        Merge query.